From 4697ed0e558085993c6d090ec42c0741e93e5335 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 05 2020 22:38:53 +0000
Subject: [PATCH 1289/2232] Implement CFG.exported_header_prefixes


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index d302ba0..21e4ea8 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -246,7 +246,15 @@ fn make_this_crate(prj: &Project) -> Result<Crate> {
                 .any(|exported| links_attribute == *exported),
         };
 
-        let exported = is_link_exported();
+        let is_prefix_exported = || match &krate.include_prefix {
+            None => false,
+            Some(include_prefix) => CFG
+                .exported_header_prefixes
+                .iter()
+                .any(|exported| include_prefix.starts_with(exported)),
+        };
+
+        let exported = is_link_exported() || is_prefix_exported();
 
         this_crate
             .header_dirs

